%define name xmms-status-plugin
%define version 1.0
%define release 3mdk

Name:          %{name}
Version:       %{version}
Release:       %{release}
Summary:       A docklet for XMMS
Group:         Sound
License:       GPL
BuildRequires: libxmms1-devel
BuildRequires: libgtk+1.2-devel
Source:        %name-%{version}.tar.bz2
Source1:       xmms-status-plugin-1.0-de.po.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
Url: http://www.hellion.org.uk/xmms-status-plugin/index.html

%description
A status docklet for XMMS, docks into the GNOME Status dock. 

Should work with the KDE equivalent.

%prep

%setup -q
bzcat %SOURCE1 > po/de.po
 
%build
%configure --disable-more-warnings

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f $RPM_BUILD_ROOT/%{_libdir}/xmms/General/libstatusdocklet.la

%find_lang %name
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING CREDITS
%{_libdir}/xmms/General/libstatusdocklet.so
%dir %{_datadir}/xmms/status_docklet
%{_datadir}/xmms/status_docklet/*

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-3mdk
- fix buildrequires

* Thu Mar  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- rebuild to fix missing binary rpm

* Thu Mar  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- update german translation
- new version

* Thu Feb 20 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.%{pre}.2mdk
- rebuild

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre1.1mdk
- update german translation
- drop patch
- new version

* Tue Mar  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- add german translation

* Tue Jan 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- rebuild for missing binary rpm

* Mon Jan 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- 0.9

* Thu Jan 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- fix installation
- added locale files
- updated URL
- 0.8

* Tue Dec 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- disable -Werror to make it build
- 0.7

* Fri Jun 22 2001 etienne Faure <etienne@mandrakesoft.com> 0.6-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com>:
	-0.6

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- fix buildrequires

* Fri Feb 16 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- add url

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.5

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk 
- update from Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.4

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- used srpm from Gtz Waschk :
	Tue Aug 03 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
	- upgraded to 0.3

* Tue Jul 25 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial Mandrake build
